{% extends 'core/base.html' %}
{% load static %}


{% block content %}
<script>
	function checkbox_click(url) {
		window.location=url;
	}
</script>
<div class="list">
	<form id="edit-list-form" method="POST">
		{% csrf_token %}
		<label>Name</label>
		<input type="text" name="name" value="{{ name }}" />

		<div class="checkbox-box">
			<input type="checkbox" name="show_checked" value="true" {% if show_checked %}checked{% endif %} />
			<label>Show marked items</label>
		</div>

		<input type="submit" value="Save" />
	</form>
	{% for item in list_items %}
	<form class="list-item-form" method="POST" action="{% url 'lister:delete-item' item.id %}">
		{% csrf_token %}
		<input type="checkbox" {% if item.checked %}checked{% endif %} disabled />
		<label>{{ item.name }}</label>
		<input class="warning-color" type="submit" value="X" {% if not items_editable %}disabled{% endif %}/>
	</form>
	{% endfor %}
	<div class="list-spacer"></div>
		<div class="list padded">
		<a href="{% url 'lister:delete-list' listid %}" class="list">
			<button class="warning-color">Delete List</button>
		</a>
	</div>
	<!-- BOTTOM MARGIN -->
	<!-- This is needed to malke sure the browser
		doesn't cover up the bottom of the page with controls. -->
	<div class="list-bottom-margin"></div>
</div>
{% endblock %}